/*
 * CreditCardClient.java
 *
 * Created on February 26, 2002, 4:03 PM
 */

package unleashed.ch2;

import java.io.IOException;
import java.rmi.*;
import java.util.*;
import javax.rmi.*;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class CreditCardClient
{
    
    /** Creates new GreetingClient */
    public CreditCardClient()
    {
    }

    public static void main(String[] args) throws Exception
    {
        try
        {
            //Create a server connection
            Finder finder = (Finder)
            Naming.lookup("rmi://localhost:1099/FinderService");
            
            Customer cust1 = new Customer(1001);
            
            //Send the object and get another one back
            Object obj2 = finder.addCreditCardNumber(cust1);
            System.out.println("Object obj2 = " + obj2);
            
            //Cast the return object to be of type Customer
            Customer cust2 = (Customer)obj2;
            
            System.out.println("The credit card Number for " +
            cust2.getCustID() + " = " +
            cust2.getCreditCardNumber());
        }catch (Exception e)
        {
            System.out.println("Exception in main() " + e);
        }
    }
}