/*
 * GreetingClient.java
 *
 * Created on February 26, 2002, 4:03 PM
 */

package unleashed.ch2;

import java.io.IOException;
import java.rmi.*;
import java.util.*;
import javax.rmi.*;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class GreetingClient
{
    
    /** Creates new GreetingClient */
    public GreetingClient()
    {
    }
    
    public static void main(String[] args) throws Exception
    {
        try
        {
            //Create a server connection
            Greeter greeter = (Greeter)
                Naming.lookup("rmi://localhost:1099/GreeterService");
            
            //Create the object to send
            Greeting greeting1 = new Greeting("Bonjour, Monde");
            
            //Semd the object and get another one back
            Object obj2 = greeter.translate(greeting1);
            System.out.println("Object obj2 = " + obj2);
            
            //Cast the return object to be of type Greeting
            Greeting greeting2 = (Greeting)obj2;
            System.out.println("The Original is " + greeting1.getStr1());
            System.out.println("The Translation is " + greeting2.getStr1());
        }catch (Exception e)
        {
            System.out.println("Exception " + e);
        }
    }
}