
SETLOCAL

rem home for weblogic server
set WL_HOME=d:\weblogic612\wls612

rem weblogic hot deployment directory 
set APPLICATIONS=d:\weblogic612\wls612\config\examples\applications

rem move to that dir
cd unleashed\ch5\cruise

rem create build directory
mkdir buildwar

rem create deployment descriptors directory
mkdir buildwar\WEB-INF

rem create deployment descriptors directory
mkdir buildwar\WEB-INF\classes

rem copy JSP and HTML files
copy .\*.jsp  buildwar

rem copy deployment descriptors
copy web.xml buildwar\WEB-INF

rem compile classes
javac -classpath .;%WL_HOME%\lib\weblogic_sp.jar;%WL_HOME%\lib\weblogic.jar;  -d buildwar\WEB-INF\classes *.java

rem move to build directory
cd buildwar

rem archive all classes and deployment descriptors
jar cvf cruise.war .

rem copy war file to the applications directory
copy .\cruise.war  %APPLICATIONS%


ENDLOCAL