package unleashed.ch21.bd;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * server bean implementation.
 */
public class ServerBean implements SessionBean 
{

  //callback method must be implemented
  public void ejbActivate() {}
  public void ejbRemove() {}
  public void ejbPassivate() {}
  public void setSessionContext(SessionContext ctx) {}
  public void ejbCreate () throws CreateException {}


  /**
   * Facade method implementation
   */
	public String serverMethod() 
	{
		System.out.println("Server is executing");
		return "Server data";
	}
}








