
SETLOCAL

rem home for weblogic server
set WL_HOME=d:\weblogic612\wls612

rem weblogic hot deployment directory 
set APPLICATIONS=h:\

rem move to that dir
cd unleashed\ch21\bd

rem create build directory
mkdir build

rem create deployment descriptors directory
mkdir build\META-INF

rem copy deployment descriptors
copy *.xml build\META-INF

rem compile classes
javac -classpath .;%WL_HOME%\lib\weblogic_sp.jar;%WL_HOME%\lib\weblogic.jar;  -d build *.java

rem move to build directory
cd build

rem archive all classes and deployment descriptors
jar cvf bdejbin.jar .

rem delete compiled classes
erase unleashed\ch21\bd\*.class

rem compile EJB using weblogic ejb compiler and move final jar to weblogic hot deployment directory
java -cp %WL_HOME%\lib\weblogic_sp.jar;%WL_HOME%\lib\weblogic.jar; -Dweblogic.home=%WL_HOME% weblogic.ejbc  -compiler javac .\bdejbin.jar %APPLICATIONS%\bdejb.jar

ENDLOCAL