

//Listing 26.13 The Employee3 class is declared to be cloneable.
package unleashed.ch26;

import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The Employee class
 */
public class Employee3a implements Cloneable
{
    
    private String name;
    private int salary;
    
    public Employee3a(String name, int salary)
    {
        this.name = name;
        this.salary = salary;
    }
    
    public Employee3a()
    {
    }
    
    public String getName()
    {
        return name;
    }
    public void setName(String name)
    {
        this.name = name;
    }
    
    public void setSalary(int salary)
    {
        this.salary = salary;
    }
    
    public int getSalary()
    {
        return this.salary;
    }
    
    public Object clone() throws CloneNotSupportedException
    {
        try
        {
            return super.clone();
        }catch (CloneNotSupportedException cnse)
        {
            System.out.println("CloneNotSupportedException thrown "+ cnse);
            throw new CloneNotSupportedException();
        }
    }
    
}
