//Listing 26.17 StringBuffers are not immutable
package unleashed.ch26;

import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The Employee class 
 */
public class Employee4 implements Cloneable
{

    private StringBuffer name;
    private int salary;
    
    public Employee4(String name, int salary)
    {
        this.name = new StringBuffer(name);
        this.salary = salary;
    }
    
    public Employee4()
    {
    }
    
    public Object clone() throws CloneNotSupportedException
    {
        try
        {
            return super.clone();
        }catch (CloneNotSupportedException cnse)
        {
            System.out.println("CloneNotSupportedException thrown "+ cnse);
            throw new CloneNotSupportedException();
        }
    }
            
    public String getName()
    {
        return name.toString();
    }
    
    public void setName(String name)
    {
        this.name.delete(0, this.name.length());
        this.name.append(name);
    }

    public void setSalary(int salary)
    {
        this.salary = salary;
    }
    
    public int getSalary()
    {
        return this.salary;
    }
}

