//Listing 26.20  By extending AutoCloner, Employee6 can inherit its  deep-copy cloning method and remove its own version of the deep clone(). 
package unleashed.ch26;

import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The Employee class 
 */
public class Employee6 extends AutoCloner
{

    private StringBuffer name;
    private int salary;
    
    public Employee6(String name, int salary)
    {
        this.name = new StringBuffer(name);
        this.salary = salary;
    }
    
    public Employee6()
    {
    }
             
    public String getName()
    {
        return name.toString();
    }
    
    public void setName(String name)
    {
        this.name.delete(0, this.name.length());
        this.name.append(name);
    }

    public void setSalary(int salary)
    {
        this.salary = salary;
    }
    
    public int getSalary()
    {
        return this.salary;
    }
}
