//Listing 26.3 The .ser file can be read and the Employee object can be recreated
package unleashed.ch26;
import java.io.ObjectInputStream;
import java.io.FileInputStream;
import java.io.IOException;

/**
 *
 * @author  Stephen Potts
 * Test the restoration of serialized objects
 */
public class RestoreEmployee {

    /** Creates new RestoreEmployee */
    public RestoreEmployee() {
    }
    
    public static void main(String[] args)
    {
        try
        {
            String filename = "Employee.ser";
        
            Employee emp = null;
            FileInputStream f  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f);
            emp = (Employee)ois.readObject();
            System.out.println("The name is " + emp.getName());
            ois.close();
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
    }
}
