//Listing 27.4 The Contractor Class
package unleashed.ch27;
public class Contractor {

    int hoursWorked;
    Vendor myBroker;
    String lastName;
    String firstName;
    
    /** Creates new Contractor */
    public Contractor() {
    }

    public Contractor(Vendor myBroker, String firstName, String lastName, int hoursWorked)
    {
        this.myBroker = myBroker;
        this.firstName = firstName;
        this.lastName = lastName;
        this.hoursWorked = hoursWorked;
    }
    
    public void payBroker()
    {
        double amount = myBroker.getHourlyCost() * hoursWorked;
        System.out.println("Contractor - Pay to the order of " + myBroker.getName() +" "+ amount);
    }
    
    public int getNumberOfHours()
    {
        return hoursWorked;
    }
        
}


