package unleashed.ch5.cruise;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Ticketing Agent Remote Interface.
 */
public interface TicketingAgent extends EJBObject 
{
	/**
	* Gets available tickets.
	*/
	public Ticket[] getAvailableTickets() throws RemoteException;
	
	/**
	* Books a ticket.
	*/
	public void bookTicket(String cruiseName) 
	throws RemoteException, BookingFailedException;
}
