package unleashed.ch9.payment;

import javax.ejb.*;
import java.rmi.*;

public class PaymentAgentEJB implements SessionBean
{
    private SessionContext ctx;
     
    public void ejbRemove() throws RemoteException, EJBException, EJBException {}

    public void setSessionContext(SessionContext context) throws RemoteException, EJBException, EJBException 
    {
        ctx = context;
	}

    public void ejbActivate() throws RemoteException, EJBException, EJBException {}

    public void ejbPassivate() throws RemoteException, EJBException, EJBException {}

    public void ejbCreate() throws CreateException, EJBException, RemoteException, EJBException, RemoteException {}
    
    public void processPayment(CreditCardInfo cc) 
    throws PaymentException, java.rmi.RemoteException
    {
        if(!cc.getccName().equals("VISA") && !cc.getccName().equals("MASTERCARD") 
           && !cc.getccName().equals("AMEX") && !cc.getccName().equals("DISCOVER"))
            throw new PaymentException("Credit Card Invalid: " + cc.getccName());
        
        if(cc.getccNumber().length() != 16)
            throw new PaymentException("Credit Card Number Invalid");   
            
            
        //process the payment here 
        System.out.println("Processing CreditCard " + cc.getccName() + " Number: " + cc.getccNumber() + " Amount: " + cc.getamount());
    }
}
