//Listing 10.1 JDBC makes connection to a database simpler
/*
 * JDBCConnection.java
 *
 * Created on December 26, 2001, 2:27 PM
 * This program makes a connection to a database 
 * using a JDBC driver
 */

package unleashed.ch10;
import java.sql.*;

/**
 *
 * @author  Stephen Potts
 * @version 1.0
 */
public class JDBCConnection
{
    
    /** Default Constructor */
    public JDBCConnection()
    {
    }
    
    public static void main(String[] args)
    {
        try
        {
            //load the driver class
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            
            //Specify the ODBC data source
            String sourceURL = "jdbc:odbc:authors";
            
            //get a connection to the database
            Connection databaseConnection =
                 DriverManager.getConnection(sourceURL);
           
            //If we get to here, no exception was thrown
            System.out.println("The database connection is " +
                                            databaseConnection);
            
        }catch(ClassNotFoundException cnfe)
        {
            System.err.println(cnfe);
        }
        catch (SQLException sqle)
        {
            System.err.println(sqle);
        }
    }
}