/*
 * GreenBean.java
 *
 * Created on April 4, 2002, 10:41 AM
 */

package unleashed.ch19;

import java.io.Serializable;
import java.awt.*;
import java.beans.*;


/**
 *
 * @author  Stephen Potts
 * @version
 */
public class GreenBean extends Canvas implements Serializable
                         
{
    private Color color = Color.green;
    
    public Color getColor()
    {
        return color;
    }
    
    public void setColor(Color col)
    {
        this.color = col;
    }
    
    /** Creates new GreenBean */
    public GreenBean()
    {
        setSize(60,40);
        setBackground(Color.green);
    }
    
    public void paint (Graphics g)
    {
        g.setColor(color);
        g.fillRect(20,5,20,30);
    }

    public void printoutChange(PropertyChangeEvent evt)
    {
        String changeText = evt.getPropertyName() + " := " 
                + evt.getNewValue();
        System.out.println(changeText);
    }
}//class
