//Listing 22.2 The CantankerousCanCooker class contains a cook() method which accepts a manifest representing the cans to be cooked, a temperature to cook at, and a duration. 
package unleashed.ch22;
/**
 *
 * @author  Stephen Potts
 * @version 
 */
public class CantankerousCanCooker 
{
    Manifest man1;
    WaterTemperatureManager wtm;
    int temperature;
    int duration;
    boolean cooking;

    /** Creates new CantankerousCanCooker */
    public CantankerousCanCooker()
    {
        System.out.println("CantankerousCanCooker constructed");
    }
    
    public void cook(Manifest man1, int temperature, int duration)
    {
        this.cooking = true;
        this.man1 = man1;
        this.temperature = temperature;
        this.duration = duration;
        wtm = new WaterTemperatureManager(temperature, duration);
        wtm.startUp();
    }
    
    public void stop()
    {
        this.cooking = false;
    }
    
    public boolean isCooking()
    {
        return this.cooking;
    }
}

