//Listing 22.17 This version of the Cantankerous Can Cooker class uses the new Exception //classes
package unleashed.ch22;

/**
 *
 * @author  Stephen Potts
 */
public class CantankerousCanCooker2 
{
    Manifest man1;
    WaterTemperatureManager2 wtm;
    int temperature;
    int duration;
    boolean cooking;

    /** Creates new CantankerousCanCooker */
    public CantankerousCanCooker2()
    {
        System.out.println("CantankerousCanCooker constructed");
    }
    
    public void cook(Manifest man1, int temperature, int duration) throws CantankerousCanCookerException2
    {
        try
        {
            this.cooking = true;
            this.man1 = man1;
            this.temperature = temperature;
            this.duration = duration;
            wtm = new WaterTemperatureManager2(temperature, duration);
            wtm.startUp();
        }catch (WaterTemperatureManagerException2 wtme)
        {
            throw new CantankerousCanCookerException2(
            "Couldn't create a Cantankerous Can Cooker " +
            "WaterTemperatureManager Problem" ,
                       wtme.getTemperature(), wtme);
        }
    }
    
    public void stop()
    {
        this.cooking = false;
    }
    
    public boolean isCooking()
    {
        return this.cooking;
    }
}

