package unleashed.ch22;

/**
 *
 * @author  Stephen Potts
 */
public class CantankerousCanCooker3 
{
    Manifest man1;
    WaterTemperatureManager3 wtm;
    int temperature;
    int duration;
    boolean cooking;

    /** Creates new CantankerousCanCooker */
    public CantankerousCanCooker3()
    {
        System.out.println("CantankerousCanCooker3 constructed");
    }
    
    public void cook(Manifest man1, int temperature, int duration) throws CantankerousCanCookerException3
    {
        try
        {
            this.cooking = true;
            this.man1 = man1;
            this.temperature = temperature;
            this.duration = duration;
            wtm = new WaterTemperatureManager3(temperature, duration);
            wtm.startUp();
        }catch (WaterTemperatureManagerException3 wtme)
        {
            throw new CantankerousCanCookerException3(
            "Couldn't create a Cantankerous Can Cooker " +
            "WaterTemperatureManager Problem" ,
                       wtme.getTemperature(), wtme);
        }
    }
    
    public void stop()
    {
        this.cooking = false;
    }
    
    public boolean isCooking()
    {
        return this.cooking;
    }
}

