//Listing 22.19 This version of the Thermometer class will throw an exception when it is //instantiated
package unleashed.ch22;
/**
 *
 * @author  Stephen Potts
 * @version 
 */
public class Thermometer2
{
    private int temperature = 10000;
    /** Creates new Thermometer */
    public Thermometer2() throws ThermometerException2
    {
        System.out.println("Thermometer constructed");
        if ((temperature > 300) || (temperature < 32))
        {
            Exception e = null;
            throw new ThermometerException2(
              "Thermometer is malfunctioning", temperature, e);
        }
    }

    public void simIncreaseTemp()
    {
        this.temperature += 1;
    }
    
    public void simDecreaseTemp()
    {
        this.temperature -= 1;
    }
    
    public int getTemperature()
    {
        return this.temperature;
    }
    
    public static void main(String[] args)
    {
        try
        {
            Thermometer2 t1 = new Thermometer2();
            System.out.println("The temperature is " +
                                       t1.getTemperature());
        }catch(ThermometerException2 te)
        {
            System.out.println("Stack Buffer------------------- " );
            System.out.println( te.getStackBuffer());
            System.out.println("End of Stack Buffer------------ " );
            
          }
    }//main
}

