//Listing 22.9 The Thermometer class simulates a real thermometer. 
package unleashed.ch22;

public class ThermometerE
{
    private int temperature = 10000;// throw an exception immediately
    /** Creates new Thermometer */
    public ThermometerE() throws ThermometerException
    {
        System.out.println("ThermometerE constructed");
        if ((temperature > 300) || (temperature < 32))
            throw new ThermometerException(
                  "Thermometer is malfunctioning", temperature);
    }

    public void simIncreaseTemp()
    {
        this.temperature += 1;
    }
    
    public void simDecreaseTemp()
    {
        this.temperature -= 1;
    }
    
    public int getTemperature()
    {
        return this.temperature;
    }
    
    public static void main(String[] args)
    {
        try
        {
            ThermometerE t1 = new ThermometerE();
            System.out.println(
                  "The temperature is " + t1.getTemperature());
        }catch(ThermometerException te)
        {
            System.out.println(
               "A problem with the thermometer has occurred");
            System.out.println(
                "The Exception message is " + te.getMessage());
            if(te.getTemperature() > 300)
                System.out.println(
                    "The thermometer shows a temperature too high");
            else
                System.out.println(
                       "The thermometer shows a temperature too low");
         }
    }//main
}
