
//Listing 26.10 A Serializable class can be rewritten as an Externalizable class
package unleashed.ch26;
import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectOutput;
import java.io.ObjectInput;
import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The Employee class 
 */
public class Employee2 implements Externalizable
{

    private String name;
    private int salary;
    
    public Employee2(String name, int salary)
    {
        this.name = name;
        this.salary = salary;
    }
    
    public Employee2()
    {
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getSalary()
    {
        return this.salary;
    }
    
    public void writeExternal(ObjectOutput out) throws IOException
    {
        out.writeObject(this.name);
        out.writeInt(this.salary);
    }
    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    {
        name = (String)in.readObject();
        salary = in.readInt();
    }
}
