//Listing 26.18 A deep copy version of Employee
package unleashed.ch26;

import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The Employee5 class 
 */
public class Employee5 implements Cloneable
{

    private StringBuffer name;
    private int salary;
    
    public Employee5(String name, int salary)
    {
        this.name = new StringBuffer(name);
        this.salary = salary;
    }
    
    public Employee5()
    {
    }
    
    public Object clone() throws CloneNotSupportedException
    {
        try
        {
            Employee5 o = (Employee5)super.clone();
            o.name = new StringBuffer(name.toString());
            return o;

        }catch (CloneNotSupportedException cnse)
        {
            System.out.println("CloneNotSupportedException thrown "+ cnse);
            throw new CloneNotSupportedException();
        }
    }
            
    public String getName()
    {
        return name.toString();
    }
    
    public void setName(String name)
    {
        this.name.delete(0, this.name.length());
        this.name.append(name);
    }

    public void setSalary(int salary)
    {
        this.salary = salary;
    }
    
    public int getSalary()
    {
        return this.salary;
    }
}
