package unleashed.ch26;
import java.io.ObjectInputStream;
import java.io.FileInputStream;
import java.io.IOException;

/**
 *
 * @author  Stephen Potts
 * Test the restoration of Encrypted objects
 */
public class RestoreEncryptedEmployee {

    /** Creates new RestoreEmployee */
    public RestoreEncryptedEmployee() {
    }
    
    public static void main(String[] args)
    {
        try
        {
            String filename = "c:/unleashed/ch26/EncryptedEmployee.out";
        
            EncryptedEmployee emp = null;
            FileInputStream f  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f);
            emp = (EncryptedEmployee)ois.readObject();
            System.out.println("The name is " + emp.getName());
            System.out.println("The creditCard Number  is " +
                                        emp.getCreditCardNumber());
            ois.close();
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
    }
}
