
package unleashed.ch26;
import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectOutput;
import java.io.ObjectInput;
import java.util.*;
/**
 *
 * @author  Stephen Potts
 * The EncryptedEmployee class 
 */
public class UnencryptedEmployee implements Externalizable
{

    private String name;
    private String creditCardNumber;
    
    public UnencryptedEmployee(String name, String ccn)
    {
        this.name = name;
        this.creditCardNumber = ccn;
    }
    
    public UnencryptedEmployee()
    {
    }
    
    public String getName()
    {
        return name;
    }
    
    public String getCreditCardNumber()
    {
        return this.creditCardNumber;
    }
    
    public void writeExternal(ObjectOutput out) throws IOException
    {
        out.writeObject(this.name);
        out.writeObject(this.creditCardNumber);
    }
    public void readExternal(ObjectInput in) throws IOException,
                                               ClassNotFoundException
    {
        name = (String)in.readObject();
        creditCardNumber= (String)in.readObject();
    }
}