package unleashed.ch26;
import java.io.*;
import javax.crypto.*;
import java.security.*;

/**
 *
 * @author  Stephen Potts
 * @version
 */
public class WriteReadEncryptedEmployee
{
    
    
    public WriteReadEncryptedEmployee()
    {
    }
    
    public static void main(String[] args)
    {
        try
        {
            KeyGenerator kg = KeyGenerator.getInstance("DES");
            SecretKey secretKey = kg.generateKey();
            
            String filename = "c:/unleashed/ch26/EncryptedEmployee.out";
            
            EncryptedEmployee emp =
            new EncryptedEmployee("Jacob Snakob",
            "1234-5678-0123");
            EncryptedEmployee.setKey(secretKey);
            System.out.println("The Secret Key is " + secretKey);
            FileOutputStream f  = new FileOutputStream(filename);
            ObjectOutputStream oos = new ObjectOutputStream(f);
            oos.writeObject(emp);
            System.out.println(
            "Finished writing EncryptedEmployee.out");
            oos.close();
            
            EncryptedEmployee emp2 = null;
            FileInputStream f2  = new FileInputStream(filename);
            ObjectInputStream ois = new ObjectInputStream(f2);
            emp2 = (EncryptedEmployee)ois.readObject();
            System.out.println("The name is " + emp.getName());
            System.out.println("The creditCard Number  is " +
            emp.getCreditCardNumber());
            ois.close();
            
            
        }catch (IOException ioe)
        {
            System.out.println("IOException thrown " + ioe);
        }
        catch (ClassNotFoundException cnfe)
        {
            System.out.println("ClassNotFoundException thrown " + cnfe);
        }
        catch (NoSuchAlgorithmException nsae)
        {
            System.out.println("Algorithm Exception thrown " + nsae);
        } 
    }
}