/*
 * NewMath.java
 *
 * Created on February 19, 2002, 10:49 AM
 */

package unleashed.ch28;

/**
 * This is the class comment for the NewMath class.  The primary purpose
 * of the NewMath class is to provide a very simple example of a class
 * so that javadoc comments can be added to it and by consequence be 
 * added to the generated documentation for this class.
 * @author  Stephen Potts
 * @version 1.0
 */
public class NewMath
{
    /**
     * Default constructor for the NewMath class
     */
    public NewMath()
    {
    }
    
    /**
     * Add two integers together
     *@return the values when added together
     */
    public int addInteger(int x, int y)
    {
        return x + y;
    }
    
    /**
     * Subtract two integers 
     *@return the values when subtracted
     */
    public int subtractInteger(int x, int y)
    {
        return x - y;
    }
    
    /**
     * Multiply two integers together
     *@return the values when multiplied
     */
    public int multiplyInteger(int x, int y)
    {
        return x * y;
    }
    
     /**
     * Divide integer x by integer y
     *@return the values when divided 
     */
   public int divideInteger(int x, int y)
    {
        return x/y;
    }

    /**
     * output the data to the screen
     * @return a long string that contains newline characters
     */
    public String testDump(int x, int y)
    {
        return "Addition  = " +  addInteger(x,y) + "\n" +
               "Subtraction  = " + subtractInteger(x,y) + "\n" +
               "Multiplcation  = " + multiplyInteger(x,y) + "\n" +
               "Division  = " + divideInteger(x,y);
    }

    /**
     * the main method for the NewMath class.  It instantiates the class
     * and prints the results of testDump to the screen.
     *
     */
    public static void main(String[] args)
    {
        NewMath nm = new NewMath();
        
         System.out.println("Results = " + nm.testDump(100,10));
    }
 
}
